## ggml-dmo 0.9.4

=== debian/changelog ===
ggml-dmo (0.9.4-dmo6) unstable; urgency=medium

  * Merge libggml0-backend-cpu into libggml0

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 25 Dec 2025 10:36:40 +0100

ggml-dmo (0.9.4-dmo5) unstable; urgency=medium

  * Build with libhipblas2

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 21 Nov 2025 00:01:01 +0100

ggml-dmo (0.9.4-dmo4) unstable; urgency=medium

  * Build with libamdhip64-6

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 26 Oct 2025 08:17:35 +0100

ggml-dmo (0.9.4-dmo3) unstable; urgency=medium

  * Forgot to delete cmake-Install-to-private-directory Debian patch

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 09 Oct 2025 15:59:01 +0200

ggml-dmo (0.9.4-dmo2) unstable; urgency=medium

  * Don't build with CMAKE_INSTALL_RPATH

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 08 Oct 2025 16:43:52 +0200

ggml-dmo (0.9.4-dmo1) unstable; urgency=medium

  * Upload to my repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 08 Oct 2025 08:31:33 +0200

ggml (0.9.4-1) unstable; urgency=medium

  * New upstream version 0.9.4. (Closes: #1116954)
    - Drop patches included upstream
    - Refresh patches
  * Convert d/watch to version 5
  * Drop hwcaps from private directories patch

 -- Christian Kastner <ckk@debian.org>  Thu, 02 Oct 2025 22:43:39 +0200

ggml (0.0~git20250712.d62df60-5) unstable; urgency=medium

  * For architectures that don't yet support GGML_CPU_ALL_VARIANTS, disable
    all features not supported by our baseline spec.
    Thanks to Aurelien for the pointer. (Closes: #1114747)

 -- Christian Kastner <ckk@debian.org>  Tue, 09 Sep 2025 19:17:03 +0200

ggml (0.0~git20250712.d62df60-4) unstable; urgency=medium

  * Re-enable loong64, ppc64, riscv64, s390x builds.
    These don't support GGML_CPU_ALL_VARIANTS yet, so we build them without
    any flags enabled. Performance will suffer. I intend to submit fixes for
    this upstream.
  * Bump pkg-rocm-tools dependency

 -- Christian Kastner <ckk@debian.org>  Sun, 07 Sep 2025 13:28:42 +0200

ggml (0.0~git20250712.d62df60-3) unstable; urgency=medium

  [ Otto Kekäläinen ]
    Disable the two permanently failing jobs on Salsa CI

  [ Christian Kastner ]
  * Limit architectures to those with ALL_VARIANTS support.
    Support for loong64, riscv64, and s390x will be added soon
  * Salsa: Correct typo in DEB_BUILD_PROFILES
  * Salsa: Build the HIP package only for one GPU, to reduce build time
  * autopkgtest: Correct test dependency names

 -- Christian Kastner <ckk@debian.org>  Thu, 28 Aug 2025 22:27:09 +0200

ggml (0.0~git20250712.d62df60-2) unstable; urgency=medium

  * Upload to unstable
  * Fix/improve package descriptions
  * Make GPU-specific backends conflict with Vulkan backend
  * Use rocm-target-arch to select and document build GPU arch

 -- Christian Kastner <ckk@debian.org>  Wed, 27 Aug 2025 06:59:59 +0200

ggml (0.0~git20250712.d62df60-2~exp2) experimental; urgency=medium

  * CUDA backend is in section contrib/libs
  * Extend Breaks/Replaces to libggml-dev

 -- Christian Kastner <ckk@debian.org>  Thu, 07 Aug 2025 18:27:49 +0200

ggml (0.0~git20250712.d62df60-2~exp1) experimental; urgency=medium

  * Switch build to GGML_BACKEND_DL=ON (backends as plugins)
  * Add SOVER, and rename packages to match SONAME and plugin status
  * Build the CUDA backend via Build-Profiles
  * Add Add-soversion-to-libraries.patch
  * Generate GGML_BUILD_NUMBER based on upstream date
  * Change Section field to 'libs'
  * Factor out a -dev package
  * New layout Breaks/Replaces old layout
  * d/rules: Don't create ldconfig triggers for private libraries
  * Salsa-CI: disable HIP build

 -- Christian Kastner <ckk@debian.org>  Thu, 07 Aug 2025 10:56:50 +0200

ggml (0.0~git20250712.d62df60-1) unstable; urgency=medium

  * New upstream version 0.0~git20250712.d62df60
  * Add missing bug# to previous changelog entry
  * d/gbp.conf: Fix upstream branch name
  * Update d/copyright

 -- Christian Kastner <ckk@debian.org>  Sat, 12 Jul 2025 17:10:22 +0200

ggml (0.0~git20250711.b6d2ebd-1) unstable; urgency=medium

  * New upstream version 0.0~git20250711.b6d2ebd
    - Includes a fix for CVE-2025-53630. (Closes: #1109124)
  * Drop obsolete patches
  * Fix broken relation (typo) in CUDA build
  * d/gbp.conf: Convert to DEP-14 layout
  * d/gbp.conf: Enforce non-numbered patches

 -- Christian Kastner <ckk@debian.org>  Fri, 11 Jul 2025 23:01:14 +0200

ggml (0.0~git20250618.9e4bee1-2) unstable; urgency=medium

  * Provide versioned libggml-backend (thanks, Rongrong)
    Recent llama.cpp depends on it. (Closes: #1108401)
  * Document that ggml-cuda's changelog must be copied back
  * Sync back d/changelog.cuda
  * Document ggml/llama.cpp/whisper.cpp update procedure

 -- Christian Kastner <ckk@debian.org>  Fri, 27 Jun 2025 21:27:44 +0200

ggml (0.0~git20250618.9e4bee1-1) unstable; urgency=medium

  * New upstream release.
    - Refresh patches
    - Update d/copyright

 -- Christian Kastner <ckk@debian.org>  Fri, 20 Jun 2025 10:48:39 +0200

ggml (0.0~git20250502.17733de-4) unstable; urgency=medium

  * Install tests to multi-arch destinations
    libggml must rename Multi-Arch: same for now, so the arch-specific tests
    need to go to arch-specific destinations
  * Add missing ${shlibs:Depends} to libggml
  * d/rules: Fix misspelled option
  * d/rules: Minor beautifying
  * Update README.Source
  * Let cudabuild.sh copy all recent changelog entries
  * autopkgtest: libggml-cpu tests aren't skippable

 -- Christian Kastner <ckk@debian.org>  Wed, 18 Jun 2025 21:27:48 +0200

ggml (0.0~git20250502.17733de-3) unstable; urgency=medium

  * Amend missing build profile in HIP B-D
  * Add patches enabling installation of tests
  * Convert libggml from arch:all to arch:any
  * Ship upstream tests, add autopkgtests
  * Tighten inter-package dependencies
  * Add ggml-cuda's d/changelog.cuda
  * Add comment on ggml-cuda to d/copyright
  * Enable Salsa CI


